using System;
using System.Threading.Tasks;
using Xamarin.Essentials;

namespace InABox.Mobile
{
    public class MobileDocumentVideoSource : MobileVideoSource<MobileDocumentVideoSource, MobileDocumentVideoOptions>
    {
        
        public MobileDocumentVideoSource(MobileDocumentVideoOptions options) : base(options)
        {
        }
        
        protected override async Task<bool> IsEnabled() 
            => await IsEnabled<Permissions.Photos>();
        
        protected override async Task<FileResult> Capture() 
            => await MediaPicker.CaptureVideoAsync();


    }
}